Debian Bug report logs - #613895
live-build: 'chroot/var/lib/apt/lists/*_Release*': No such file or directory

version graph

Package: live-build; Maintainer for live-build is Live Systems Maintainers <debian-live@lists.debian.org>; Source for live-build is src:live-build.

Reported by: steven@nchc.org.tw

Date: Fri, 18 Feb 2011 01:15:02 UTC

Severity: normal

Found in version live-build/2.0.12-2

Fixed in version live-build/3.0~a13-1

Done: Daniel Baumann <daniel@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#613895; Package live-build. (Fri, 18 Feb 2011 01:15:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to steven@nchc.org.tw:
New Bug report received and forwarded. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Fri, 18 Feb 2011 01:15:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Steven Shiau <steven@nchc.org.tw>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: live-build: 'chroot/var/lib/apt/lists/*_Release*': No such file or directory
Date: Fri, 18 Feb 2011 08:42:08 +0800
[Message part 1 (text/plain, inline)]
Package: live-build
Version: 2.0.12-2
Severity: normal

*** Please type your report below this line ***
When I created a Sid live with live-build 2.0.12-2 on Squeeze, it showed me:
cp: cannot stat `chroot/var/lib/apt/lists/*_Release*': No such file or 
directory

The commands to reproduce the problem:
========
lb config --archive-areas main
lb config --mirror-binary http://ftp.tw.debian.org/debian
lb config --mirror-bootstrap http://ftp.tw.debian.org/debian
lb config --mirror-chroot http://ftp.tw.debian.org/debian
lb config --bootstrap-flavour minimal --apt apt --apt-recommends false 
--binary-indices false --bootstrap cdebootstrap --tasksel none
lb config --volatile false
lb config --initramfs live-initramfs
lb config --username user --bootappend username=user
lb config --cache-indices true
lb config --binary-images iso-hybrid
lb config --distribution sid
lb config --linux-flavours 686
lb config --memtest none
lb build
========

The whole output and patch file are attached.

Steven.

-- Package-specific info:

-- System Information:
Debian Release: 6.0
  APT prefers squeeze-updates
  APT policy: (500, 'squeeze-updates'), (500, 'stable')
Architecture: i386 (i686)

Kernel: Linux 2.6.32-5-686-bigmem (SMP w/4 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages live-build depends on:
ii  cdebootstrap                  0.5.7      Bootstrap a Debian system
ii  cdebootstrap-static           0.5.7      Bootstrap a Debian system - 
static
ii  debootstrap                   1.0.26     Bootstrap a basic Debian system

Versions of packages live-build recommends:
ii  cpio                          2.11-4     GNU cpio -- a program to 
manage ar
ii  gnu-fdisk                     1.2.4-3    Linux fdisk replacement 
based on l

Versions of packages live-build suggests:
ii  dosfstools           3.0.9-1             utilities for making and 
checking
ii  fakeroot             1.14.4-1            Gives a fake root environment
ii  genisoimage          9:1.1.11-1          Creates ISO-9660 CD-ROM 
filesystem
ii  grub                 0.97-64             GRand Unified Bootloader 
(dummy pa
pn  memtest86+ | memtest <none>              (no description available)
ii  mtools               4.0.12-1            Tools for manipulating 
MSDOS files
ii  parted               2.3-5               The GNU Parted disk 
partition resi
ii  squashfs-tools       1:4.0-8             Tool to create and append 
to squas
ii  sudo                 1.7.4p4-2.squeeze.1 Provide limited super user 
privile
ii  syslinux             2:4.02+dfsg-7       collection of boot loaders
pn  uuid-runtime         <none>              (no description available)
pn  win32-loader         <none>              (no description available)

-- no debconf information


-- 
Steven Shiau <steven _at_ nchc org tw> <steven _at_ stevenshiau org>
National Center for High-performance Computing, Taiwan.
http://www.nchc.org.tw
Public Key Server PGP Key ID: 1024D/9762755A
Fingerprint: A2A1 08B7 C22C 3D06 34DB  F4BC 08B3 E3D7 9762 755A
[log.txt (text/plain, attachment)]
[lb_chroot_sources.patch (text/plain, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#613895; Package live-build. (Fri, 18 Feb 2011 06:03:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel.baumann@progress-technologies.net:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Fri, 18 Feb 2011 06:03:02 GMT) Full text and rfc822 format available.

Message #10 received at 613895@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel.baumann@progress-technologies.net>
To: steven@nchc.org.tw
Cc: 613895@bugs.debian.org
Subject: Re: Bug#613895: live-build: 'chroot/var/lib/apt/lists/*_Release*': No such file or directory
Date: Fri, 18 Feb 2011 06:58:22 +0100
tag 613895 pending
thanks

On 02/18/2011 01:42 AM, Steven Shiau wrote:
> The whole output and patch file are attached.

thank you, applied in git for lb 3.x.

-- 
Address:        Daniel Baumann, Burgunderstrasse 3, CH-4562 Biberist
Email:          daniel.baumann@progress-technologies.net
Internet:       http://people.progress-technologies.net/~daniel.baumann/




Added tag(s) pending. Request was from Daniel Baumann <daniel.baumann@progress-technologies.net> to control@bugs.debian.org. (Fri, 18 Feb 2011 06:03:04 GMT) Full text and rfc822 format available.

Reply sent to Daniel Baumann <daniel@debian.org>:
You have taken responsibility. (Thu, 10 Mar 2011 05:39:08 GMT) Full text and rfc822 format available.

Notification sent to steven@nchc.org.tw:
Bug acknowledged by developer. (Thu, 10 Mar 2011 05:39:08 GMT) Full text and rfc822 format available.

Message #17 received at 613895-close@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: 613895-close@bugs.debian.org
Subject: Bug#613895: fixed in live-build 3.0~a13-1
Date: Thu, 10 Mar 2011 05:34:55 +0000
Source: live-build
Source-Version: 3.0~a13-1

We believe that the bug you reported is fixed in the latest version of
live-build, which is due to be installed in the Debian FTP archive:

live-build-cgi_3.0~a13-1_all.deb
  to main/l/live-build/live-build-cgi_3.0~a13-1_all.deb
live-build_3.0~a13-1.debian.tar.gz
  to main/l/live-build/live-build_3.0~a13-1.debian.tar.gz
live-build_3.0~a13-1.dsc
  to main/l/live-build/live-build_3.0~a13-1.dsc
live-build_3.0~a13-1_all.deb
  to main/l/live-build/live-build_3.0~a13-1_all.deb
live-build_3.0~a13.orig.tar.gz
  to main/l/live-build/live-build_3.0~a13.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 613895@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Daniel Baumann <daniel@debian.org> (supplier of updated live-build package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Wed, 09 Mar 2011 19:27:39 +0100
Source: live-build
Binary: live-build live-build-cgi
Architecture: source all
Version: 3.0~a13-1
Distribution: unstable
Urgency: low
Maintainer: Debian Live Project <debian-live@lists.debian.org>
Changed-By: Daniel Baumann <daniel@debian.org>
Description: 
 live-build - Debian Live - System Build Scripts
 live-build-cgi - Debian Live - System Build Scripts (cgi frontend)
Closes: 613895 614120
Changes: 
 live-build (3.0~a13-1) unstable; urgency=low
 .
   [ Steven Shiau ]
   * Correcting release filename when caching indices (Closes: #613895).
 .
   [ Daniel Baumann ]
   * Updating default mirrors for emdebian (Closes: #614120).
   * Adding wpasupplicant in rescue list.
 .
   [ Hector Oron ]
   * Removing superfluous whitespace in output of the usage function.
 .
   [ Daniel Baumann ]
   * Updating archive signing key for live.debian.net repository.
Checksums-Sha1: 
 df162519f992ecf649d8d97d575d4a7972105051 1282 live-build_3.0~a13-1.dsc
 8d7a6f0b3d1b301160c954567983891440b52ec7 1944829 live-build_3.0~a13.orig.tar.gz
 aca29754e42d0ee22c07640b71e2fdec8ccace46 38924 live-build_3.0~a13-1.debian.tar.gz
 9cb1178d86588d34e69d7d0c81458258204a37be 1128042 live-build_3.0~a13-1_all.deb
 196a58340a5f983c7571b0d36235fefe50efc232 54966 live-build-cgi_3.0~a13-1_all.deb
Checksums-Sha256: 
 3c9e23a2a025801b0f4d73f8cf97f42f96b6ca6c1cca80df0aa44ccd8cfeb6cd 1282 live-build_3.0~a13-1.dsc
 d7ad4b04f8b2c504c24e7374b34ab0fe22dd157e3a7eec5797173c2c2ebbf848 1944829 live-build_3.0~a13.orig.tar.gz
 7d4a1685eee517c2720aa3fc0a6b512afca6fd1f5bb55ccdeda16b29ae512dac 38924 live-build_3.0~a13-1.debian.tar.gz
 5d4ff7e8b46ab9b964ce6c3a47cd9572beed37430015775bbf2ffc11517dd85c 1128042 live-build_3.0~a13-1_all.deb
 003f4b7cce84bfe3419cedf903421a5c6505c816bf0f71836daa4ba93a72ecd6 54966 live-build-cgi_3.0~a13-1_all.deb
Files: 
 b7f0443c6cfb2a999cc9951e5b22611b 1282 misc optional live-build_3.0~a13-1.dsc
 f0e0cd108f7f587706acc9806daa7539 1944829 misc optional live-build_3.0~a13.orig.tar.gz
 9abd4488bcd28931ad8164a9acc7ca2c 38924 misc optional live-build_3.0~a13-1.debian.tar.gz
 8aae9ef71d13acf9e99e9d4fd58af876 1128042 misc optional live-build_3.0~a13-1_all.deb
 516220386d75423289b55405eb99abb5 54966 misc optional live-build-cgi_3.0~a13-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iEYEARECAAYFAk14QV4ACgkQ+C5cwEsrK54rlACdFk/W3zUSAoSDnWTTYesie1yB
XGMAoOG+LjjAiAmG3YOph22p79svjHjU
=RkUR
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 30 Apr 2011 09:00:29 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 16:35:35 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.